gstreamermm: Gst::Identity Class Reference

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Gst::Identity Class Reference
[gstreamermm Plugins]

A Wrapper for the identity plugin. More...

Inherits Gst::BaseTransform.

Collaboration diagram for Gst::Identity:
[legend]

List of all members.

## Public Member Functions
virtual | ~Identity ()
GstIdentity* | gobj ()
| Provides access to the underlying C GObject.
const GstIdentity* | gobj () const
| Provides access to the underlying C GObject.
GstIdentity* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy< guint > | property_sleep_time ()
| Microseconds to sleep between processing.
Glib::PropertyProxy_ReadOnly < guint > | property_sleep_time () const
| Microseconds to sleep between processing.
Glib::PropertyProxy< int > | property_error_after ()
| Error after N buffers.
Glib::PropertyProxy_ReadOnly< int > | property_error_after () const
| Error after N buffers.
Glib::PropertyProxy< float > | property_drop_probability ()
| The Probability a buffer is dropped.
Glib::PropertyProxy_ReadOnly < float > | property_drop_probability () const
| The Probability a buffer is dropped.
Glib::PropertyProxy< int > | property_datarate ()
| (Re)timestamps buffers with number of bytes per second (0 = inactive).
Glib::PropertyProxy_ReadOnly< int > | property_datarate () const
| (Re)timestamps buffers with number of bytes per second (0 = inactive).
Glib::PropertyProxy< bool > | property_silent ()
| silent.
Glib::PropertyProxy_ReadOnly < bool > | property_silent () const
| silent.
Glib::PropertyProxy< bool > | property_single_segment ()
| Timestamp buffers and eat newsegments so as to appear as one segment.
Glib::PropertyProxy_ReadOnly < bool > | property_single_segment () const
| Timestamp buffers and eat newsegments so as to appear as one segment.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_last_message () const
| last-message.
Glib::PropertyProxy< bool > | property_dump ()
| Dump buffer contents to stdout.
Glib::PropertyProxy_ReadOnly < bool > | property_dump () const
| Dump buffer contents to stdout.
Glib::PropertyProxy< bool > | property_sync ()
| Synchronize to pipeline clock.
Glib::PropertyProxy_ReadOnly < bool > | property_sync () const
| Synchronize to pipeline clock.
Glib::PropertyProxy< bool > | property_check_perfect ()
| Verify that the stream is time- and data-contiguous.
Glib::PropertyProxy_ReadOnly < bool > | property_check_perfect () const
| Verify that the stream is time- and data-contiguous.
Glib::PropertyProxy< bool > | property_check_imperfect_timestamp ()
| Send element messages if timestamps and durations do not match up.
Glib::PropertyProxy_ReadOnly < bool > | property_check_imperfect_timestamp () const
| Send element messages if timestamps and durations do not match up.
Glib::PropertyProxy< bool > | property_check_imperfect_offset ()
| Send element messages if offset and offset_end do not match up.
Glib::PropertyProxy_ReadOnly < bool > | property_check_imperfect_offset () const
| Send element messages if offset and offset_end do not match up.
Glib::PropertyProxy< bool > | property_signal_handoffs ()
| Send a signal before pushing the buffer.
Glib::PropertyProxy_ReadOnly < bool > | property_signal_handoffs () const
| Send a signal before pushing the buffer.
Glib::SignalProxy1< void, const Glib::RefPtr < Gst::Buffer >& > | signal_handoff ()
## Static Public Member Functions
static Glib::RefPtr< Identity > | create ()
| Creates a new identity plugin with a unique name.
static Glib::RefPtr< Identity > | create (const Glib::ustring& name)
| Creates a new identity plugin with the given name.
## Protected Member Functions
| Identity ()
| Identity (const Glib::ustring& name)
virtual void | on_handoff (const Glib::RefPtr< Gst::Buffer >& arg0)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::Identity > | wrap (GstIdentity* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the identity plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::Identity::~Identity | ( |  | ) | `[virtual]`

Gst::Identity::Identity | ( |  | ) | `[protected]`

Gst::Identity::Identity | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<Identity> Gst::Identity::create | ( |  | ) | `[static]`

Creates a new identity plugin with a unique name.

static Glib::RefPtr<Identity> Gst::Identity::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new identity plugin with the given name.

const GstIdentity* Gst::Identity::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseTransform.

GstIdentity* Gst::Identity::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseTransform.

GstIdentity* Gst::Identity::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::BaseTransform.

virtual void Gst::Identity::on_handoff | ( | const Glib::RefPtr< Gst::Buffer >& | arg0 | ) | `[protected, virtual]`

Glib::PropertyProxy<bool> Gst::Identity::property_check_imperfect_offset | ( |  | ) |

Send element messages if offset and offset_end do not match up.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::Identity::property_check_imperfect_offset | ( |  | ) | const

Send element messages if offset and offset_end do not match up.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::Identity::property_check_imperfect_timestamp | ( |  | ) |

Send element messages if timestamps and durations do not match up.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::Identity::property_check_imperfect_timestamp | ( |  | ) | const

Send element messages if timestamps and durations do not match up.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::Identity::property_check_perfect | ( |  | ) |

Verify that the stream is time- and data-contiguous.

This only logs in the debug log. This will be deprecated in favor of the check-imperfect-timestamp/offset properties.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::Identity::property_check_perfect | ( |  | ) | const

Verify that the stream is time- and data-contiguous.

This only logs in the debug log. This will be deprecated in favor of the check-imperfect-timestamp/offset properties.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::Identity::property_datarate | ( |  | ) |

(Re)timestamps buffers with number of bytes per second (0 = inactive).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::Identity::property_datarate | ( |  | ) | const

(Re)timestamps buffers with number of bytes per second (0 = inactive).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<float> Gst::Identity::property_drop_probability | ( |  | ) |

The Probability a buffer is dropped.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<float> Gst::Identity::property_drop_probability | ( |  | ) | const

The Probability a buffer is dropped.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::Identity::property_dump | ( |  | ) |

Dump buffer contents to stdout.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::Identity::property_dump | ( |  | ) | const

Dump buffer contents to stdout.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::Identity::property_error_after | ( |  | ) |

Error after N buffers.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::Identity::property_error_after | ( |  | ) | const

Error after N buffers.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gst::Identity::property_last_message | ( |  | ) | const

last-message.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::Identity::property_signal_handoffs | ( |  | ) |

Send a signal before pushing the buffer.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::Identity::property_signal_handoffs | ( |  | ) | const

Send a signal before pushing the buffer.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::Identity::property_silent | ( |  | ) |

silent.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::Identity::property_silent | ( |  | ) | const

silent.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::Identity::property_single_segment | ( |  | ) |

Timestamp buffers and eat newsegments so as to appear as one segment.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::Identity::property_single_segment | ( |  | ) | const

Timestamp buffers and eat newsegments so as to appear as one segment.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Gst::Identity::property_sleep_time | ( |  | ) | const

Microseconds to sleep between processing.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> Gst::Identity::property_sleep_time | ( |  | ) |

Microseconds to sleep between processing.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::Identity::property_sync | ( |  | ) |

Synchronize to pipeline clock.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::Identity::property_sync | ( |  | ) | const

Synchronize to pipeline clock.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::SignalProxy1< void,const Glib::RefPtr<Gst::Buffer>& > Gst::Identity::signal_handoff | ( |  | ) |

Prototype:
  `void on_my_handoff(const Glib::RefPtr<Gst::Buffer>& arg0)`

## Friends And Related Function Documentation

Glib::RefPtr< Gst::Identity > wrap | ( | GstIdentity * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/identity.h